"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShopifyCoreModule = void 0;
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const core_1 = require("@nestjs/core");
const shopify_api_1 = require("@shopify/shopify-api");
const core_module_builder_1 = require("./core.module-builder");
let ShopifyCoreModule = class ShopifyCoreModule extends core_module_builder_1.ConfigurableModuleClass {
    constructor(moduleRef) {
        super();
        this.moduleRef = moduleRef;
    }
    onModuleInit() {
        const options = this.moduleRef.get(core_module_builder_1.SHOPIFY_CORE_OPTIONS);
        shopify_api_1.default.Context.initialize({
            API_KEY: options.apiKey,
            API_SECRET_KEY: options.apiSecret,
            API_VERSION: options.apiVersion,
            SCOPES: options.scopes,
            HOST_NAME: options.hostName,
            IS_EMBEDDED_APP: options.isEmbeddedApp,
            SESSION_STORAGE: options.sessionStorage,
        });
    }
};
ShopifyCoreModule = tslib_1.__decorate([
    (0, common_1.Module)({
        exports: [core_module_builder_1.SHOPIFY_CORE_OPTIONS],
    }),
    tslib_1.__metadata("design:paramtypes", [core_1.ModuleRef])
], ShopifyCoreModule);
exports.ShopifyCoreModule = ShopifyCoreModule;
//# sourceMappingURL=core.module.js.map